## org.gnu.pango
Class FontFamily

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.pango.FontFamily

public class FontFamily
extends GObject

The FontFamily object is used to represent a family of related font faces. The faces in a family share a common design, but differ in slant, weight, width and other aspects.

Method Summary
`FontFace[]` `listFaces()` Lists the different font faces that make up family.
`java.lang.String` `toString()` Gets the name of the family.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Gets the name of the family. The name is unique among all fonts for the font backend and can be used in a PangoFontDescription to specify that a face from this family is desired.

### listFaces

    public FontFace[] listFaces()

  Lists the different font faces that make up family. The faces in a family share a common design, but differ in slant, weight, width and other aspects.